Skip to main content
GET
/
consumers
/
{consumer_id}
/
payment
/
transactions
Retrieve all transactions
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/payment/transactions
import requests

url = "https://api.chift.eu/consumers/{consumer_id}/payment/transactions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.chift.eu/consumers/{consumer_id}/payment/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "source_ref": {
        "id": "<string>",
        "model": "<string>"
      },
      "amount": 123,
      "fee": 123,
      "currency": "<string>",
      "exchange_rate": 123,
      "create_date": "2023-11-07T05:31:56Z",
      "application_type": "<string>",
      "refund_id": "<string>",
      "payment_id": "<string>",
      "description": "<string>"
    }
  ],
  "total": 1,
  "page": 2,
  "size": 2
}
{
"message": "You must provide an transaction type.",
"status": "error"
}
{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100
accounting_category
enum<string> | null
default:all

Filter based on the type of the transaction.

Available options:
all,
unknown,
payout,
payout_cancel,
payment,
payment_cancel,
fee,
fee_cancel,
invoice,
internal_move
starting_from
string | null

Get all transactions more recent than this one excluded

balance_id
string | null

Get all transactions for a specific balance

payout_id
string | null

Get all transactions linked to a specific payout

date_from
string<date> | null
date_to
string<date> | null
location_id
string | null

Get all transactions for a specific location

Response

Successful Response

items
TransactionItemOut · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1